Bug 801690

Summary: horizon: download ec2 credentials fails
Product: [Fedora] Fedora Reporter: Mark McLoughlin <markmc>
Component: python-django-horizonAssignee: Matthias Runge <mrunge>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 17CC: crobinso, markmc
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-08-01 14:37:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mark McLoughlin 2012-03-09 02:11:51 EST
In /dashboard/settings/ec2/ the "Download x509 Credentials" button gives an "Unable to fetch EC2 credentials" error
Comment 1 Cole Robinson 2012-04-15 16:42:12 EDT
I'm seeing it too, but only for tenants that the logged in user shouldn't have access to (example: admin:admin works, but not admin:invisible_to_admin). I think the UI should only list tenants that the user has access to, I'll try and cook up a patch.
Comment 2 Cole Robinson 2012-04-15 17:25:22 EDT
Patch submitted upstream: https://review.openstack.org/#/c/6580/
Comment 3 Cole Robinson 2012-05-29 19:35:47 EDT
That review languished, but the patch fixed things for me on F17 at least, so might still be something to push.
Comment 4 Cole Robinson 2012-05-29 19:36:41 EDT
Also:

https://bugs.launchpad.net/horizon/+bug/982602
Comment 5 Fedora Admin XMLRPC Client 2012-12-14 07:37:48 EST
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2013-07-04 02:57:17 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 14:38:02 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.